Subject: Re: [PATCH 0/4] drivers/ata: add low-level I/O calls

From: Alan <[email-masked]>
Date: Fri, 12 Jan 2007 10:24:06 +0000

On Fri, 12 Jan 2007 19:00:45 +0900
Akira Iguchi <[email-masked]> wrote:

> Dear everyone,
> 
> This is the patchset (based on 2.6.20-rc4) to add low-level I/O calls
> which access the taskfile registers. The idea comes from drivers/ide
> IN*/OUT* calls.

I think this is the wrong approach. The existing code provides methods
for things like "read the status", "write a taskfile" and this is the
style that should be kept.

Alan